{% macro render(props) -%}
    <div class="table__wrapper">
        <table class="table">
            <tr class="table__row header">
                <th class="table__header">Sr No.</th>
                {% for header in props["headers"] %}<th class="table__header">{{ header["label"] }}</th>{% endfor %}
            </tr>
            {% for content in props["content"] %}
                <tr class="table__row">
                    <td class="table__cell">{{ loop.index }}</td>
                    {% for header in props["headers"] %}
                        {% if content[header["value"]]["text"] %}
                            <td class="table__cell">{{ content[header["value"]]["text"] }}</td>
                        {% elif content[header["value"]]["icon"] %}
                            <td class="table__cell icon">
                                <a class="material-{{ content[header['value']]['icon']['type'] }}"
                                   href="{{ content[header['value']]['icon']['url'] }}">
                                    {{ content[header['value']]['icon']['name'] }}
                                </a>
                            </td>
                        {% endif %}
                    {% endfor %}
                </tr>
            {% endfor %}
        </table>
    </div>
{%- endmacro %}
